Package org.apache.tools.ant

# Interface DynamicAttributeNS

All Known Subinterfaces:
  `DynamicConfiguratorNS`

All Known Implementing Classes:
  `XMLFragment.Child`

public interface DynamicAttributeNS
Enables a task to control unknown attributes.

Since:
  Ant 1.7

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setDynamicAttribute(String uri, String localName, String qName, String value)`
  Set a named attribute to the given value

- ## Method Details

  - ### setDynamicAttribute

    void setDynamicAttribute(String uri, String localName, String qName, String value) throws BuildException
    Set a named attribute to the given value
    Parameters:
      `uri` - The namespace uri for this attribute, "" is used if there is no namespace uri.
      `localName` - The localname of this attribute.
      `qName` - The qualified name for this attribute
      `value` - The value of this attribute.
    Throws:
      `BuildException` - when any error occurs